--Creates the CountyCodes lookup table for the DTS Lookup in Chapter 4
USE SBS_OLAP
if exists (select * from dbo.sysobjects where id = object_id(N'dbo.CountryCodes') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table dbo.CountryCodes
GO

CREATE TABLE dbo.CountryCodes 
   (  CountryInconsistent varchar (25) NULL ,
      CountryConsistent varchar (25) NULL   ) 
GO
INSERT CountryCodes VALUES ('U.S.A.','United States')
INSERT CountryCodes VALUES ('U.S.','United States')
INSERT CountryCodes VALUES ('US','United States')
INSERT CountryCodes VALUES ('U.K.','UK')
INSERT CountryCodes VALUES ('Jap.','Japan')
INSERT CountryCodes VALUES ('Sp.','Spain')
INSERT CountryCodes VALUES ('Aus.','Australia')
INSERT CountryCodes VALUES ('Aust.','Australia')
INSERT CountryCodes VALUES ('Swed.','Sweden')
INSERT CountryCodes VALUES ('Braz.','Brazil')
INSERT CountryCodes VALUES ('Ger.','Germany')
INSERT CountryCodes VALUES ('It.','Italy')
INSERT CountryCodes VALUES ('Nor.','Norway')
INSERT CountryCodes VALUES ('Fr.','France')
INSERT CountryCodes VALUES ('Sing.','Singapore')
INSERT CountryCodes VALUES ('Den.','Denmark')
INSERT CountryCodes VALUES ('Neth.','Netherlands')
INSERT CountryCodes VALUES ('Fin.','Finland')
INSERT CountryCodes VALUES ('Can.','Canada')