--generates a rowset for use in the DDQ task
USE SBS_OLAP
GO
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[ProductStageRowsetSP]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[ProductStageRowsetSP]
GO
CREATE PROC dbo.ProductStageRowsetSP
AS
SELECT 
	ProductCode
	, ProductName
	, ReorderLevel
	, ObsoleteFlag
	, CategoryName
	, CategoryDescription
	, UnitPrice
	, QuantityPerUnit
	, InsertOrUpdate
FROM ProductStage

