--creates table that generates batch ID values using the Identity property
--create stored procedure that inserts a value into the table and returns the new batch ID value
USE SBS_OLAP
GO
if exists (select * from dbo.sysobjects where id = object_id(N'dbo.BatchIDValues') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table dbo.BatchIDValues
GO
if exists (select * from dbo.sysobjects where id = object_id(N'dbo.GenBatchID') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure dbo.GenBatchID
GO

CREATE TABLE dbo.BatchIDValues
	(BatchId INT IDENTITY(1,1)
	,BatchName NVARCHAR(30))

GO
CREATE PROCEDURE dbo.GenBatchID
    @BatchName NVARCHAR(30)
AS
SET NOCOUNT ON
    INSERT INTO dbo.BatchIDValues(BatchName)
    VALUES (@BatchName)
    SELECT @@IDENTITY AS BatchID
