USE SBS_OLAP
GO
--modifies the default configuration by disabling the Process Sales Cube step
INSERT INTO SBS_OLAP.dbo.PackageGVs
   (PackageName, GVName, GVValue, ConfigID, Description)
   VALUES ('MasterUpdate', 'gbProcessBypass',1,1, 'Default')

/*add a new configuration that bypasses each of the subpackages, 
but executes the Process Sales Cube step
*/
INSERT INTO dbo.PackageGVs
   (PackageName, GVName, GVValue, ConfigID, Description)
   VALUES ('UpdateProductDim', 'gbBypassPackage',1,6, 'Process Only')
INSERT INTO dbo.PackageGVs
   (PackageName, GVName, GVValue, ConfigID, Description)
   VALUES ('UpdateCustomerDim', 'gbBypassPackage',1,6, 'Process Only')
INSERT INTO dbo.PackageGVs
   (PackageName, GVName, GVValue, ConfigID, Description)
   VALUES ('UpdateSalesFacts', 'gbBypassPackage',1,6, 'Process Only')
INSERT INTO dbo.PackageGVs
   (PackageName, GVName, GVValue, ConfigID, Description)
   VALUES ('MasterUpdate', 'gbProcessBypass',0,6, 'Process Only')

--select * from PackageGVs ORDER BY ConfigID