--creates table that stores rows from SalesStage table that could not be added to SalesFact table
USE SBS_OLAP
GO
if exists (select * from dbo.sysobjects where id = object_id(N'dbo.SalesFactErrorRows') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table dbo.SalesFactErrorRows
GO
CREATE TABLE dbo.SalesFactErrorRows 
	(ProductCode INT
	,CustomerCode NVARCHAR (15)
	,OrderDate Datetime
	,QuantitySales SMALLINT
	,AmountSales MONEY
	,BatchID INT
	,ErrorReason NVARCHAR (100))
GO