USE SBS_OLAP
GO
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[LogLoadSalesStageTable]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[LogLoadSalesStageTable]
GO
CREATE PROCEDURE dbo.LogLoadSalesStageTable 
	@BatchID INT
	,@PackageName NVARCHAR(100)
	,@Result NCHAR(15)
AS
INSERT INTO dbo.AuditEvents 
   (BatchID
   ,PackageName
   ,StepName
   ,AdditionalInformation
   ,RowsComplete)
	SELECT 
	   @BatchID
	   ,@PackageName
	   ,'Load SalesStage Table'
	   ,@Result
	   ,Count(*) FROM dbo.SalesStage