USE SBS_OLAP
GO
ALTER TABLE dbo.SalesFact DROP CONSTRAINT FK_SalesCustomer
ALTER TABLE dbo.SalesFact DROP CONSTRAINT FK_SalesProduct
ALTER TABLE dbo.SalesFact DROP CONSTRAINT FK_SalesTime
GO
TRUNCATE TABLE dbo.AuditEvents
TRUNCATE TABLE dbo.BatchIDValues
TRUNCATE TABLE dbo.SalesFact
TRUNCATE TABLE dbo.SalesFactErrorRows
TRUNCATE TABLE dbo.SalesStage
TRUNCATE TABLE dbo.TimeDim
TRUNCATE TABLE dbo.CustomerDim
TRUNCATE TABLE dbo.CustomerStage
TRUNCATE TABLE dbo.ProductDim
TRUNCATE TABLE dbo.ProductStage
GO
ALTER TABLE dbo.SalesFact ADD 
   CONSTRAINT FK_SalesCustomer FOREIGN KEY 
      (CustomerKey) REFERENCES dbo.CustomerDim (CustomerKey)
   ,CONSTRAINT FK_SalesProduct FOREIGN KEY 
      (ProductKey) REFERENCES dbo.ProductDim (ProductKey)
   ,CONSTRAINT FK_SalesTime FOREIGN KEY 
      (TimeKey) REFERENCES dbo.TimeDim (TimeKey)


