SELECT DISTINCT 
	 c.CustomerID
	,c.CompanyName
	,c.Address
	,c.City
	,c.Region
	,c.PostalCode
	,c.Country
	,o.ShipAddress
	,o.ShipCity
	,o.ShipRegion
	,o.ShipPostalCode
	,o.ShipCountry
FROM dbo.Orders o INNER JOIN dbo.Customers c 
	ON o.CustomerID = c.CustomerID
	WHERE OrderDate BETWEEN '7/1/96' AND '12/31/97'