SELECT 	p.ProductKey
	,c.CustomerKey
	,t.TimeKey
	,s.QuantitySales
	,s.AmountSales
FROM TimeDim t INNER JOIN ProductDim p
	INNER JOIN CustomerDim c
	INNER JOIN SalesStage s 
	ON c.CustomerCode = s.CustomerCode
	ON p.ProductCode = s.ProductCode
	ON t.FullDateCode = s.OrderDate